Module tdlight.api
Package it.tdlight.jni

# Class TdApi.MessageExtendedMedia

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.MessageExtendedMedia

Direct Known Subclasses:
  `TdApi.MessageExtendedMediaPhoto`, `TdApi.MessageExtendedMediaPreview`, `TdApi.MessageExtendedMediaUnsupported`, `TdApi.MessageExtendedMediaVideo`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.MessageExtendedMedia extends TdApi.Object permits TdApi.MessageExtendedMediaPreview, TdApi.MessageExtendedMediaPhoto, TdApi.MessageExtendedMediaVideo, TdApi.MessageExtendedMediaUnsupported
This class is an abstract base class. Describes a media, which is attached to an invoice.

## Constructor Summary

Constructors
Constructor
Description
`MessageExtendedMedia()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MessageExtendedMedia

public MessageExtendedMedia()
Default class constructor.